# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mercado_pago_rails/version'

Gem::Specification.new do |spec|
  spec.name          = "mercado_pago_rails"
  spec.version       = MercadoPagoRails::VERSION
  spec.authors       = ["Matias De Santi"]
  spec.email         = ["matias.desanti@wolox.com.ar"]
  spec.description   = %q{This gem makes communication with mercado pago easy at the time of generating a preference}
  spec.summary       = %q{This gem makes communication with mercado pago easy at the time of generating a preference}
  spec.homepage      = ""
  spec.license       = "Apache2"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"

  spec.add_dependency 'mercadopago'
  spec.add_dependency 'mercadopago-sdk'
  spec.add_dependency "app_configuration"
  spec.add_dependency "i18n"
end
